puppet

pdk
Installs bitcoind daemon
Den Ivanov

Den Ivanov

sxiii

958 downloads

958 latest version

3.1 quality score

Version information

  • 0.1.0 (latest)
released Dec 15th 2019
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2016.4.x
  • Puppet >= 4.10.0 < 7.0.0
  • Debian
    ,
    Ubuntu

Start using this module

Documentation

sxiii/puppet — version 0.1.0 Dec 15th 2019

Puppet module for bitcoind

Description

This module will install bitcoind on remote agent nodes

Usage

  • Installation from source

    class { 'bitcoind::source': }

  • Class parameters

    class { 'bitcoind':
        testnet     => false,
        rpcuser     => 'super_secret_username',
        rpcpassword => 'really_extra_secret_password',
        rpcport     => 18332,
    }